/*********************************************************************
 *
 *                  BMS_UI_ADC Header
 *
 *********************************************************************
 * FileName:        BMS_UI_ADC.h
 * Processor:       PIC18F25K80
 * Compiler:        Microchip C18 v3.41
 * Company:         KIT - CN - IPE
 *
 * Author           Date         Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Ott W.           08.02.2016   Release
 *********************************************************************/

#ifndef BMS_UI_ADC_H      // To avoid duplicate inclusion
#define BMS_UI_ADC_H



/*********************************************************************
*
*                             Defines
*
*********************************************************************/
#define HV             1
#define HI             2



/*********************************************************************
*
*                        Function Prototypes
*
*********************************************************************/
uint16_t ADCread_12Bit( );
uint16_t ADCread_16Bit( );
int16_t  ADC_supply_voltage(uint8_t ADC_CH );



#endif
